define({"0":{y:0,u:"../Content/part_overview.htm",l:-1,t:"Overview of Viewing SDK",i:0.00108750916820787,a:"Overview of Viewing SDK This section provides a general overview of OpenText KeyView Viewing SDK and a description of the sample programs, and includes the following chapters: Introduction to Viewing SDK Getting Started"},"1":{y:0,u:"../Content/Introduction/intro_viewing.htm",l:-1,t:"Introduction to Viewing SDK",i:0.00154970344885811,a:"Introduction to Viewing SDK This guide is for developers who incorporate OpenText KeyView Viewing SDK components into their own applications. It is intended for readers who are familiar with Windows programming."},"2":{y:0,u:"../Content/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00108750916820787,a:"The  Viewing SDK is part of the OpenText KeyView suite of products. KeyView provides high-speed text extraction, conversion to web-ready HTML and well-formed XML, and high-fidelity document viewing. The Viewing SDK enables you to build high-fidelity document viewing capabilities into your own ..."},"3":{y:0,u:"../Content/Introduction/Features.htm",l:-1,t:"Features",i:0.00108750916820787,a:"With Viewing SDK, you can create an application by using the Viewing API or the Viewing ActiveX control to: View and print documents. Convert popular word processing and spreadsheet formats to text, Microsoft Rich Text Format (RTF), and HTML.  Annotate, highlight, and filter documents. Generate ..."},"4":{y:0,u:"../Content/Introduction/Viewing_SDK_Visual_Basic.htm",l:-1,t:"Viewing SDK and Visual Basic",i:0.00108750916820787,a:"Viewing SDK and  Visual Basic The Viewing ActiveX control is ideally suited for developing Visual Basic® applications with viewing, conversion, and printing capabilities. The control provides most of the functionality of the Viewing Windows messaging API, but in the form of an ActiveX control that ..."},"5":{y:0,u:"../Content/Introduction/Platforms_Compilers_Dependencies.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00108750916820787,a:"This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software. Supported Platforms Microsoft Windows Server 2022 x64 Microsoft Windows Server 2019 x64 Microsoft Windows Server 2016 x64 Microsoft Windows Server 2012 x64 Microsoft Windows 11 x64 ..."},"6":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00108750916820787,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"7":{y:0,u:"../Content/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00108750916820787,a:"The Viewing SDK installation contains: Dynamic Link Library files and executable files necessary for viewing text from a wide variety of formats. Several  sample programs that demonstrate Viewing SDK functionality. See  Viewing API Sample Programs . The following  files define the functions and ..."},"8":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.00365736104212168,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"9":{y:0,u:"../Content/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00108750916820787,a:"Viewing SDK creates the following directory structure during installation. The variable install refers to the  installation directory. By default, the installation directory is C:\\MicroFocus\\KeyViewViewingSDK-version, where version is the KeyView version number. The variable OS is the operating ..."},"10":{y:0,u:"../Content/GettingStarted/start.htm",l:-1,t:"Getting Started",i:0.00154970344885811,a:"Getting Started This section provides information on developing and deploying Viewing applications. It includes the following topics:"},"11":{y:0,u:"../Content/GettingStarted/Before_You_Begin.htm",l:-1,t:"Before You Begin",i:0.00108750916820787,a:"Before you use Viewing SDK to build your own programs, review and run the sample programs provided with the product. OpenText recommends that you review the hellovapi sample program first. It is a simple program that demonstrates how to use the Viewing API to display documents within your ..."},"12":{y:0,u:"../Content/GettingStarted/View_Initialization_Information.htm",l:-1,t:"View Initialization Information",i:0.0122335983215287,a:"Viewing uses initialization information for its internal operations, for example, to determine which components to load. You can store this information either in an initialization file or in the Windows registry.  The  initialization file is called  kvsdk.ini and is stored in the Windows system ..."},"13":{y:0,u:"../Content/GettingStarted/Deploy_Viewing_API_Applications.htm",l:-1,t:"Deploy Viewing API Applications",i:0.00108750916820787,a:"Deploy Viewing  API Applications After you have built an application with the Viewing API, you must do the following: Install all required files to the \\bin directory of your application\u0027s installation directory.  List of Files Required for Redistribution  lists the components that must be ..."},"14":{y:0,u:"../Content/GettingStarted/Deploy_ActiveX_Control_Applications.htm",l:-1,t:"Deploy ActiveX Control Applications",i:0.00108750916820787,a:"After you have built an application with Viewing ActiveX control, you must do the following: Install all required files to the \\bin directory of your application\u0027s installation directory.  List of Files Required for Redistribution  lists the components that must be redistributed with your ..."},"15":{y:0,u:"../Content/GettingStarted/Develop_NET_Applications.htm",l:-1,t:"Develop .NET Applications",i:0.00293628629080881,a:"This section describes how to create and deploy a .NET application by using the KeyView ActiveX Control. Although you can develop .NET applications in many different development environments, the instructions in this section refer to Microsoft Visual Studio 2005.  To create and deploy a .NET ..."},"16":{y:0,u:"../Content/part_API.htm",l:-1,t:"Viewing API",i:0.00108750916820787,a:"Viewing API This section describes the Viewing API and provides detailed reference information and includes the following chapters: Use the Viewing API Viewing API Sample Programs Message Parameters Notification Message Parameters Structures"},"17":{y:0,u:"../Content/UseViewingAPI/using_view_api.htm",l:-1,t:"Use the Viewing API",i:0.00127238688046797,a:"Use the Viewing API This section describes how to use the Viewing API to perform some basic viewing tasks. "},"18":{y:0,u:"../Content/UseViewingAPI/Overview_of_the_Viewing_API.htm",l:-1,t:"Overview of the Viewing API",i:0.00108750916820787,a:"Overview of the  Viewing API The Viewing API (VAPI) enables you to build a Windows program that uses Viewing components to manage many types of document, including word processing, spreadsheet, presentation, and graphics. See  Document Readers  for more information on supported formats. You can use ..."},"19":{y:0,u:"../Content/UseViewingAPI/Create_a_Viewing_API_Window.htm",l:-1,t:"Create a Viewing API Window",i:0.00316691256335924,a:"You must create a new VAPI window for each document that you open; each VAPI window manages only one document at a time.  You can create multiple VAPI windows to handle multiple documents simultaneously. After you create a VAPI window, you can use the Viewing API to manage the document by sending ..."},"20":{y:0,u:"../Content/UseViewingAPI/Open_and_View_a_Document.htm",l:-1,t:"Open and View a Document",i:0.0078201841886243,a:"Open  and View a Document Because a document must be opened before it can be viewed, printed, saved, or can have any other operation performed on it, viewing a document in the Viewing API means to open and view a document. It is possible, however, to open a document  without viewing it, or in other ..."},"21":{y:0,u:"../Content/UseViewingAPI/Save_a_Document.htm",l:-1,t:"Save a Document",i:0.00178631996105597,a:"Save  a Document To save a document Open the document. See  Open and View a Document . To make sure that the entire document is opened before the document is saved, open the document with the  bWait member in the  TPVAPIOpenDocumentInfo  structure set to TRUE.  To save a document without viewing it, ..."},"22":{y:0,u:"../Content/UseViewingAPI/Convert_a_Document.htm",l:-1,t:"Convert a Document",i:0.00178631996105597,a:"To convert a document to text, RTF, or HTML Open the document. See  Open and View a Document . To make sure that the entire document is opened before the document is saved, open the document with the  bWait member in the  TPVAPIOpenDocumentInfo  structure set to TRUE.  To save a document without ..."},"23":{y:0,u:"../Content/UseViewingAPI/Print_a_Document.htm",l:-1,t:"Print a Document",i:0.00108750916820787,a:"The  prntdemo  sample program demonstrates how to print by using the Viewing API.  To print a document Open the document. See  Open and View a Document . To make sure that the entire document is opened before the document is printed, open the document with the  bWait member in the  ..."},"24":{y:0,u:"../Content/UseViewingAPI/Change_the_Print_Job_Name.htm",l:-1,t:"Change the Print Job Name",i:0.00108750916820787,a:"You can change the print job name in the kvsdk.ini file. The printer uses the print job name for all documents printed from KeyView Viewing SDK. To change the print job name Open the kvsdk.ini file with a text editor. The file is installed in the root of the Windows directory. In the [Settings] ..."},"25":{y:0,u:"../Content/UseViewingAPI/Determine_the_Document_Format.htm",l:-1,t:"Determine the Document Format",i:0.00108750916820787,a:"To determine a document format Open the document. See  Open and View a Document . To get format information without viewing the document, set the  VAPIDF_FLAGS_OPEN_VAPI_ONLY flag in the nFlags member of the TPVAPIOpenDocumentInfo structure.  To quickly determine a document\u0027s format, regardless of ..."},"26":{y:0,u:"../Content/UseViewingAPI/Extract_Document_Metadata.htm",l:-1,t:"Extract Document Metadata",i:0.00108750916820787,a:"Extract Document Metadata To extract metadata  from a document, use  the  VAPIM_GETSUMMARYINFO  message."},"27":{y:0,u:"../Content/UseViewingAPI/Change_Document_Options.htm",l:-1,t:"Change Document Options",i:0.0178814477986703,a:"Change  Document Options Document options control display elements such as window size, zoom settings, margin size, and scaling. Options are defined for each file type category (for example, spreadsheets, multimedia, and word processing). The document options only apply to the current document and ..."},"28":{y:0,u:"../Content/UseViewingAPI/Annotate_Highlight_or_Index_Doc.htm",l:-1,t:"Annotate, Highlight, or Index a Document",i:0.00108750916820787,a:"Annotate , Highlight , or Index  a Document Use the  VAPIM_ENABLEINDEX   message to enable  index-only mode. This generates text buffer (VAPINM_TEXTBUFFER) notification messages with document viewing disabled.  To specify the character set for the returned text buffer, use  VAPIM_SETINDEXBUFCHARSET ..."},"29":{y:0,u:"../Content/UseViewingAPI/Draw_a_Page.htm",l:-1,t:"Draw a Page",i:0.00677180276431899,a:"Draw a  Page into a Supplied Device Context Use the  VAPIMWP_DRAW_INIT   parameter of the VAPIM_DRAW message to initialize the drawing routine in VAPI. You must send this parameter before you open the document by using the VAPIMWP_INIT_OPEN_DOCUMENT message. To get the number of pages in a document, ..."},"30":{y:0,u:"../Content/UseViewingAPI/Edit_a_Document.htm",l:-1,t:"Edit a Document",i:0.00108750916820787,a:"Search  for Text To determine whether a document can be searched, use the VAPIMWP_EDIT_CANFIND message. See  VAPIMWP_EDIT_CANFIND  . To search  a document for the specified text, use the VAPIMWP_EDIT_FIND message. See  VAPIMWP_EDIT_FIND  . To get the currently selected text in a document, use the ..."},"31":{y:0,u:"../Content/UseViewingAPI/Modify_the_Document_View.htm",l:-1,t:"Modify the Document View",i:0.00108750916820787,a:"Change  the Layout of a Document To determine whether the layout of a document can be changed, use the  VAPIMWP_VIEW_CANLAYOUT  message. To get the current layout of a document, use the  VAPIMWP_VIEW_GETLAYOUT  message. To set the layout of a document, use the   VAPIMWP_VIEW_SETLAYOUT   message. ..."},"32":{y:0,u:"../Content/UseViewingAPI/Change_the_Current_Object_in_Doc.htm",l:-1,t:"Change the Current Object in a Document",i:0.0265471906963651,a:"Change  the Current Object in a Document There are many Viewing parameters that control the objects in a multiple-object document. Examples of a multiple-object document  include a Microsoft Excel spreadsheet with multiple worksheets, and a Microsoft PowerPoint presentation with multiple slides. To ..."},"33":{y:0,u:"../Content/UseViewingAPI/View_Deleted_Items_Doc_Revision.htm",l:-1,t:"View Deleted Items and Document Revision Marks",i:0.00428629482658802,a:"View Deleted Items and Document  Revision Marks The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision ..."},"34":{y:0,u:"../Content/UseViewingAPI/View_Container_Files.htm",l:-1,t:"View Container Files",i:0.00117858198603856,a:"A container file has a main file (parent) and subfiles (children) embedded in the main file. The following are examples of container files: Compressed files such as  ZIP, TAR, and RAR Mail messages such as  Outlook (MSG) and  Outlook Express (EML) Mail stores such as Microsoft Outlook Personal ..."},"35":{y:0,u:"../Content/UseViewingAPI/View_PDF_Documents.htm",l:-1,t:"View PDF Documents",i:0.00219586811728101,a:"You can view PDF files with Viewing SDK in one of three ways: View the PDF by using the Adobe Acrobat ActiveX control. View the PDF by using the Microsoft WebBrowser ActiveX control. View an image of each page of the PDF by using the graphic-based PDF reader (kppdf2rdr). By default, Viewing SDK uses ..."},"36":{y:0,u:"../Content/UseViewingAPI/ViewPortfolioPDF.htm",l:-1,t:"View or Extract PDF Portfolio Documents",i:0.00108750916820787,a:"A PDF Portfolio is a PDF file that contains multiple documents and an Adobe Flash interface that can provide information about them and allows you to navigate to them. The subfiles are not necessarily in PDF format; the portfolio might contain a PowerPoint presentation or a word processor file.  By ..."},"37":{y:0,u:"../Content/UseViewingAPI/View_Microsoft_Visio_Files.htm",l:-1,t:"View Microsoft Visio Files",i:0.00108750916820787,a:"Microsoft Visio files are supported by different readers or components depending on the file version: Version 2013 files are supported with ActiveX components included with the free Visio 2013 viewer provided by Microsoft. Image fidelity is supported, but additional features such as highlighting are ..."},"38":{y:0,u:"../Content/UseViewingAPI/Extract_Microsoft_Excel_Formulas.htm",l:-1,t:"Extract Microsoft Excel Formulas",i:0.00108750916820787,a:"When you view a Microsoft Excel spreadsheet, KeyView extracts the value of each cell. The value of a cell might be calculated from a formula, but the formula is not included in the output unless you configure KeyView to include it. You can extract the cell value, the formula, or both. For example, ..."},"39":{y:0,u:"../Content/SamplePrograms/samples_view_api.htm",l:-1,t:"Viewing API Sample Programs",i:0.0031211640030689,a:"Viewing API Sample Programs This section describes the sample programs that demonstrate how to use the API. "},"40":{y:0,u:"../Content/SamplePrograms/Overview.htm",l:-1,t:"Overview",i:0.00108750916820787,a:"The following sample programs are provided for the Viewing API: OpenText recommends that you review the hellovapi program first to help you get started. It is a simple program that demonstrates the basic functions of the Viewing API. The sample programs are Windows applications, not console ..."},"41":{y:0,u:"../Content/SamplePrograms/hellovapi.htm",l:-1,t:"hellovapi",i:0.00117994802433792,a:"hellovapi is a  simple program that demonstrates how to use Viewing SDK to display documents in your application. The program creates a Windows application window, and then creates a child window that the Viewing SDK uses to display documents. The Viewing SDK is controlled by sending Windows-style ..."},"42":{y:0,u:"../Content/SamplePrograms/vapidemo.htm",l:-1,t:"vapidemo",i:0.00117994802433792,a:"The vapidemo sample program is a Windows application that demonstrates most of the functionality of the Viewing API . To start the vapidemo program, double-click the vapidemo.exe file, or type vapidemo at a DOS prompt or in the Run dialog box. Menu options in vapidemo do not adjust according to the ..."},"43":{y:0,u:"../Content/SamplePrograms/mfckv.htm",l:-1,t:"mfckv",i:0.00117994802433792,a:"The mfckv sample program is a Single Document Interface (SDI) application written with Microsoft Foundation Classes (MFC). To start the mfckv program, double-click the mfckv.exe file or enter the following command at a DOS prompt or in the Run dialog box: mfckv To open (view) a document, select Open ..."},"44":{y:0,u:"../Content/SamplePrograms/rtfdemo.htm",l:-1,t:"rtfdemo",i:0.00117994802433792,a:"The rtfdemo sample program demonstrates how to use the Viewing API to perform conversions of documents to RTF. To start the rtfdemo program, enter the following command at a DOS prompt or in the Run dialog box: rtfdemo sourcefile targetfile where  sourcefile and  targetfile include the complete path ..."},"45":{y:0,u:"../Content/SamplePrograms/prntdemo.htm",l:-1,t:"prntdemo",i:0.00127238688046797,a:"The prntdemo sample program demonstrates how to use the Viewing API to print documents to a specified printer. To start the prntdemo program, enter the following command at a DOS prompt or in the Run dialog box: prntdemo printername,printerdevice,printerport For example: prntdemo \\\\Calculus\\HP ..."},"46":{y:0,u:"../Content/SamplePrograms/filetype.htm",l:-1,t:"filetype",i:0.00117994802433792,a:"filetype The filetype sample program demonstrates how to use the Viewing API to obtain a document\u0027s type. To start the filetype program, enter the following command at a DOS prompt or in the Run dialog box: filetype file where file includes the complete path and file name."},"47":{y:0,u:"../Content/SamplePrograms/ihademo.htm",l:-1,t:"ihademo",i:0.00117994802433792,a:"The ihademo sample program is a simple Windows application that demonstrates how to index (filter ), highlight, and annotate documents. The ihademo sample program is intended for word processing documents only. You might encounter limitations if you use it with other formats. To start the ihademo ..."},"48":{y:0,u:"../Content/SamplePrograms/drawdemo.htm",l:-1,t:"drawdemo",i:0.00117994802433792,a:"The drawdemo sample program demonstrates how to draw a page of a word processing, spreadsheet, presentation, or picture file into a supplied Device Context  (thumbnail  view). The program captures the first few pages (up to MAX_PAGES_TO_DISPLAY) of the document in metafiles and later uses these ..."},"49":{y:0,u:"../Content/SamplePrograms/uzipdemo.htm",l:-1,t:"uzipdemo",i:0.00117994802433792,a:"The uzipdemo sample program demonstrates how to use the Viewing API to extract subfiles from a container file such as a ZIP archive.  To start the uzipdemo program, enter the following command at a DOS prompt or in the Run dialog box: uzipdemo sourcefile targetdirectory where sourcefile and ..."},"50":{y:0,u:"../Content/MessageParameters/messages.htm",l:-1,t:"Message Parameters",i:0.00227534900192722,a:"Message Parameters This section provides information on the message parameters in the Viewing API. It includes the following topics:"},"51":{y:0,u:"../Content/MessageParameters/VAPIM_ANNOTATE.htm",l:-1,t:"VAPIM_ANNOTATE",i:0.0074565957250556,a:"Adds and deletes annotations, and determines whether annotations exist. Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI,\n            VAPIM_ANNOTATE,\n           (WPARAM) wControl,\n           (LPARAM) (TPVAPIAnnotation*) lpAnnotation ); Arguments Returns For KV_DEL_ANNOTATION, SendMessage() returns ..."},"52":{y:0,u:"../Content/MessageParameters/VAPIM_ENABLEINDEX_.htm",l:-1,t:"VAPIM_ENABLEINDEX ",i:0.00548679262887922,a:"Enables  index-only mode, also called document filtering. This generates text buffer (VAPINM_TEXTBUFFER) notification messages with document viewing disabled. The first text buffer notification message is generated after a VAPIMWP_INIT_OPEN_DOCUMENT message is sent. To get additional text buffer ..."},"53":{y:0,u:"../Content/MessageParameters/VAPIM_GETNEXTTEXTBUFFER.htm",l:-1,t:"VAPIM_GETNEXTTEXTBUFFER",i:0.00269989151959921,a:"Gets text buffers in index-only mode . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_GETNEXTTEXTBUFFER, 0, 0L );\n Arguments Returns SendMessage() returns TRUE if a text buffer was returned, and FALSE if there are no more text buffers in the document, that is, the end of document is ..."},"54":{y:0,u:"../Content/MessageParameters/VAPIM_GETPAGEFROMLOGICAL.htm",l:-1,t:"VAPIM_GETPAGEFROMLOGICAL ",i:0.00114528345328915,a:"Gets the page number  for a logical address . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_GETPAGEFROMLOGICAL, 0L,\n           (LPARAM) (long) lLogicalAddress ); Arguments Returns SendMessage() returns the page number the specified logical address resides on; or -1 on error. Discussion For ..."},"55":{y:0,u:"../Content/MessageParameters/VAPIM_GETSUMMARYINFO.htm",l:-1,t:"VAPIM_GETSUMMARYINFO",i:0.00387337819138288,a:"Gets document metadata, also referred to as summary information . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, STAT wParam,\n           (LPARAM) (*KVSummaryInfoEx) pSummaryInfo ); Arguments Returns SendMessage() returns TRUE if successful (pSummaryInfo filled in with valid information, if wParam ..."},"56":{y:0,u:"../Content/MessageParameters/VAPIM_GETTEXT.htm",l:-1,t:"VAPIM_GETTEXT ",i:0.0074565957250556,a:"Gets a text buffer  from a specified range. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_GETTEXT, 0L,\n           (LPARAM) (TPVAPIGetText*) lpGetText ); Arguments Returns SendMessage() returns the number of BYTES it stored in the buffer; or -1 on error. Discussion Send this message to ..."},"57":{y:0,u:"../Content/MessageParameters/VAPIM_GOTO_PAGE.htm",l:-1,t:"VAPIM_GOTO_PAGE ",i:0.00225364240236229,a:"If indexing is enabled on the document by using the  VAPIM_ENABLEINDEX   message, the document is displayed at the specified page.  Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_GOTO_PAGE,\n           (WPARAM)(int) nPageNumber, 0L );\n Arguments Returns SendMessage() returns TRUE if the call ..."},"58":{y:0,u:"../Content/MessageParameters/VAPIM_HAVEHILITE.htm",l:-1,t:"VAPIM_HAVEHILITE",i:0.00108750916820787,a:"Determines whether there is a Previous or Next highlight relative to the current position. Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_HAVEHILITE,\n           (WPARAM) (BOOL) bPrevious, 0L ); Arguments Returns Returns TRUE if there is a Previous or Next highlight (depending on the setting ..."},"59":{y:0,u:"../Content/MessageParameters/VAPIM_POSITION.htm",l:-1,t:"VAPIM_POSITION ",i:0.0074565957250556,a:"Positions  the document in the viewing window. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_POSITION, 0L,\n           (LPARAM) (TPVAPIPosition*) lpPosition ); Arguments Returns SendMessage() returns TRUE on success; or FALSE on error (for example, invalid position). Discussion You can use ..."},"60":{y:0,u:"../Content/MessageParameters/VAPIM_POSITIONHILITE.htm",l:-1,t:"VAPIM_POSITIONHILITE ",i:0.00108750916820787,a:"VAPIM_POSITIONHILITE Changes focus from previous to next highlight. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_POSITIONHILITE, \n           (LPARAM) (BOOL) bPrev, 0L ); Arguments Returns SendMessage() returns TRUE on success; or FALSE on error."},"61":{y:0,u:"../Content/MessageParameters/VAPIM_SETCURSOR.htm",l:-1,t:"VAPIM_SETCURSOR ",i:0.00114528345328915,a:"Sets the viewing engine cursor . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_SETCURSOR, 0L,\n           (LPARAM) (HCURSOR) hCursor );\n Arguments Returns SendMessage() returns the handle of the active cursor (HCURSOR); or NULL on error. Discussion After sending this message to change the ..."},"62":{y:0,u:"../Content/MessageParameters/VAPIM_SETHILITE.htm",l:-1,t:"VAPIM_SETHILITE ",i:0.00114528345328915,a:"Highlights  a region of text. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_SETHILITE, \n           (WPARAM) (int) cbTextToHilite,\n           (LPARAM) (long) lLogicalAddress ); Arguments Returns SendMessage() returns non-zero on success; or zero on error. Discussion This message should be ..."},"63":{y:0,u:"../Content/MessageParameters/VAPIM_SETHILITEOPTIONS.htm",l:-1,t:"VAPIM_SETHILITEOPTIONS",i:0.00242617646419035,a:"VAPIM_SETHILITEOPTIONS Sets highlight  options. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_SETHILITEOPTIONS, \n           (LPARAM) (TPVAPIHiLiteOptions) pHiLiteOptions ); Arguments Returns SendMessage() returns TRUE on success; or FALSE on error."},"64":{y:0,u:"../Content/MessageParameters/VAPIM_SETINDEXBUFCHARSET.htm",l:-1,t:"VAPIM_SETINDEXBUFCHARSET",i:0.00114528345328915,a:"Sets the character set for the returned indexed text buffer. Syntax #include \u003ckvvapi.h\u003e\nSendMessage (g_hWndVAPI, VAPIM_SETINDEXBUFCHARSET, kvcharset, 0 ); Arguments Returns SendMessage() returns TRUE if the call succeeds. Discussion If kvcharset is KVCS_UNKNOWN, the character set of the returned ..."},"65":{y:0,u:"../Content/MessageParameters/VAPIM_SHOWHITS.htm",l:-1,t:"VAPIM_SHOWHITS ",i:0.00114528345328915,a:"Shows or hides index  hits. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_SHOWHITS, \n           (WPARAM) (BOOL) bShowHits, 0 );\n Arguments Returns SendMessage() returns TRUE on success; or FALSE on error. Discussion You can send this message  at any time to control whether hits are shown."},"66":{y:0,u:"../Content/MessageParameters/VAPIM_CONVERT.htm",l:-1,t:"VAPIM_CONVERT",i:0.00298350036212705,a:"Converts  the currently open document to another format, without requiring the user to respond to the SaveAs dialog. To generate the SaveAs dialog box, use the VAPIMWP_FILE_SAVEAS message. The TPVAPIConvert structure includes two data members, one a target file and the other a format code, which you ..."},"67":{y:0,u:"../Content/MessageParameters/VAPIMWP_CANCONVERT.htm",l:-1,t:"VAPIMWP_CANCONVERT",i:0.00218590464803619,a:"Determines whether a file can be converted to another format. This is a parameter of the VAPIM_CONVERT message.  Syntax  #include \u003ckvvapi.h\u003e\nBOOL bSupported = FALSE;\nSendMessage(hWndVAPI, VAPIM_CONVERT, VAPIMWP_CANCONVERT,\n           (LPARAM)\u0026bSupported);\n Arguments Returns If bSupported is TRUE, ..."},"68":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_DRAWPAGE.htm",l:-1,t:"VAPIMWP_DRAW_DRAWPAGE ",i:0.00341555035710632,a:"Draws a page in an area on a device context . This is a parameter of the VAPIM_DRAW message.  Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI,VAPIM_DRAW, VAPIMWP_DRAW_DRAWPAGE,\n           (LPARAM) (TPVAPIDrawPageInfo*) pDrawInfo ); Arguments Returns SendMessage() returns: VAPI_RETURN_SUCCESS if the ..."},"69":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_DRAWTOFILE.htm",l:-1,t:"VAPIMWP_DRAW_DRAWTOFILE",i:0.00260751793306747,a:"Draws a page of a document to a graphic file (thumbnail).  This is a parameter of the VAPIM_DRAW message.  Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI,VAPIM_DRAW, VAPIMWP_DRAW_DRAWTOFILE,\n           (LPARAM) (TPVAPIDrawFileInfo*) pDrawInfo ); Arguments Returns SendMessage() returns: ..."},"70":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_GETPAGECOUNT.htm",l:-1,t:"VAPIMWP_DRAW_GETPAGECOUNT ",i:0.00190982341794366,a:"Gets the number of pages  in a document. This is a parameter of the VAPIM_DRAW message.  Syntax  #include \u003ckvvapi.h\u003e\nSendMessage( hWndVAPI, VAPIM_DRAW, VAPIMWP_DRAW_GETPAGECOUNT,\n           (LPARAM) (unsigned int*) pPageCount );\n Arguments Returns SendMessage() returns TRUE if the call succeeds, in ..."},"71":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_GETPAGESIZE.htm",l:-1,t:"VAPIMWP_DRAW_GETPAGESIZE ",i:0.00345901990838651,a:"Gets the default size of a page.  This is a parameter of the VAPIM_DRAW message.  Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_DRAW, VAPIMWP_DRAW_GETPAGESIZE,\n           (LPARAM) (TPVAPIPageSize*) pPageSize ); Arguments Returns SendMessage() returns: VAPI_RETURN_SUCCESS if the call ..."},"72":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_GETWORKBOOKPAGECOUNT.htm",l:-1,t:"VAPIMWP_DRAW_GETWORKBOOKPAGECOUNT",i:0.00108750916820787,a:"Gets the number of workbook  pages in a spreadsheet document. This is a parameter of the VAPIM_DRAW message. Syntax  #include \u003ckvvapi.h\u003e;\nSendMessage( hWndVAPI, VAPIM_DRAW,\n            VAPIMWP_DRAW_GETWORKBOOKPAGECOUNT,\n           (LPARAM) (unsigned int*) pPageCount ); Arguments Returns ..."},"73":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_INIT.htm",l:-1,t:"VAPIMWP_DRAW_INIT ",i:0.00492812239132075,a:"Initializes the drawing routines in VAPI. This is a parameter of the VAPIM_DRAW message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage( hWndVAPI, VAPIM_DRAW, VAPIMWP_DRAW_INIT, 0L ); Arguments Returns SendMessage() returns TRUE if the call succeeds and FALSE if the call fails. Discussion You must send ..."},"74":{y:0,u:"../Content/MessageParameters/VAPIMWP_DRAW_SHUTDOWN.htm",l:-1,t:"VAPIMWP_DRAW_SHUTDOWN ",i:0.00108750916820787,a:"Before a new document is opened, this frees up any data from a previously opened document. This is a parameter of the VAPIM_DRAW message. Syntax  SendMessage(g_hWndVAPI, VAPIM_DRAW, DRAW_SHUTDOWN, 0L ); Arguments Returns SendMessage() returns: VAPI_RETURN_SUCCESS (or TRUE, value 1) if the call ..."},"75":{y:0,u:"../Content/MessageParameters/VAPIMWP_EDIT_CANCOPY.htm",l:-1,t:"VAPIMWP_EDIT_CANCOPY ",i:0.00225620118134953,a:"Determines whether content is selected in the currently opened document and can be copied to the clipboard.  This is a parameter of the VAPIM_EDIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage( hWndVAPI, VAPIM_EDIT, VAPIMWP_EDIT_CANCOPY,\n           (LPARAM) (BOOL*) lpbCanCopy ); Arguments Returns ..."},"76":{y:0,u:"../Content/MessageParameters/VAPIMWP_EDIT_CANFIND.htm",l:-1,t:"VAPIMWP_EDIT_CANFIND ",i:0.00121956467696508,a:"Determines whether the document contents can be searched.  This is a parameter of the VAPIM_EDIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_EDIT, VAPIMWP_EDIT_CANFIND,\n           (LPARAM) (BOOL*) lpbCanFind ); Arguments Returns SendMessage() returns TRUE if the call succeeds, ..."},"77":{y:0,u:"../Content/MessageParameters/VAPIMWP_EDIT_CANSELECTALL.htm",l:-1,t:"VAPIMWP_EDIT_CANSELECTALL ",i:0.0081286764400188,a:"Determines whether you can select all items in the document . If lpbCanSelectAll is TRUE, you can select all items in the document by using the  VAPIMWP_EDIT_SELECTALL  message. This is a parameter of the VAPIM_EDIT message. Syntax  #include ..."},"78":{y:0,u:"../Content/MessageParameters/VAPIMWP_EDIT_COPY.htm",l:-1,t:"VAPIMWP_EDIT_COPY ",i:0.00121956467696508,a:"Copies  the current selection in the document to the clipboard. Use the  VAPIMWP_EDIT_CANCOPY  message to determine whether content is selected and can be copied to the clipboard.. This is a parameter of the VAPIM_EDIT message. Syntax  #include ..."},"79":{y:0,u:"../Content/MessageParameters/VAPIMWP_EDIT_FIND.htm",l:-1,t:"VAPIMWP_EDIT_FIND ",i:0.0105560863759822,a:"Searches  the document for the specified text. This is a parameter of the VAPIM_EDIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_EDIT, VAPIMWP_EDIT_FIND, \n           (LPARAM) (TPVAPIFindInfo*) lpFindInfo ); Arguments Returns SendMessage() returns TRUE if the find succeeded; ..."},"80":{y:0,u:"../Content/MessageParameters/VAPIMWP_EDIT_FIND_UNICODE.htm",l:-1,t:"VAPIMWP_EDIT_FIND_UNICODE ",i:0.00108750916820787,a:"Searches  the document for the specified UNICODE text. This is a parameter of the VAPIM_EDIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_EDIT, VAPIMWP_EDIT_FIND_UNICODE, \n           (LPARAM) (TPVAPIFindInfo*) lpFindInfo ); Arguments Returns SendMessage() returns TRUE if the find ..."},"81":{y:0,u:"../Content/MessageParameters/VAPIMWP_EDIT_GETFINDTEXT.htm",l:-1,t:"VAPIMWP_EDIT_GETFINDTEXT ",i:0.00121956467696508,a:"Gets the currently selected text  in the document. This is a parameter of the VAPIM_EDIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_EDIT, VAPIMWP_EDIT_GETFINDTEXT, \n           (LPARAM) (HGLOBAL*) lphgFindText ); Arguments Returns SendMessage() returns TRUE if the find text was ..."},"82":{y:0,u:"../Content/MessageParameters/VAPIMWP_EDIT_SELECTALL.htm",l:-1,t:"VAPIMWP_EDIT_SELECTALL",i:0.0081286764400188,a:"Selects all  content in the currently opened document. Use the VAPIMWP_EDIT_CANSELECTALL   message to determine whether you can select all content in the document. This is a parameter of the VAPIM_EDIT message. Syntax  #include ..."},"83":{y:0,u:"../Content/MessageParameters/VAPIMWP_FILE_CANSAVEAS.htm",l:-1,t:"VAPIMWP_FILE_CANSAVEAS ",i:0.00139118565725029,a:"Determines whether the document can be saved and converted . This is a parameter of the VAPIM_FILE message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_FILE, VAPIMWP_FILE_CANSAVEAS,\n           (LPARAM) (BOOL*) lpbCanSaveAs );\n Arguments Returns SendMessage() returns TRUE if the call ..."},"84":{y:0,u:"../Content/MessageParameters/VAPIMWP_FILE_CANUNZIP.htm",l:-1,t:"VAPIMWP_FILE_CANUNZIP ",i:0.00117858198603856,a:"If a container file is open and there are subfiles selected in the file, this parameter determines whether the subfile or files can be extracted.  This is a parameter of the VAPIM_FILE message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_FILE, VAPIMWP_FILE_CANUNZIP,\n           (LPARAM) ..."},"85":{y:0,u:"../Content/MessageParameters/VAPIMWP_FILE_CLOSE.htm",l:-1,t:"VAPIMWP_FILE_CLOSE",i:0.00108750916820787,a:"Closes the currently opened document. It is not necessary to use this message, because issuing a second VAPIMWP_INIT_OPEN_DOCUMENT message automatically closes the currently opened document. This is a parameter of the VAPIM_FILE message. Syntax  #include ..."},"86":{y:0,u:"../Content/MessageParameters/VAPIMWP_FILE_SAVEAS.htm",l:-1,t:"VAPIMWP_FILE_SAVEAS ",i:0.00164424939811897,a:"Saves the current document  in another format through a Save As dialog box. This is a parameter of the VAPIM_FILE message. See  Save a Document  and  Convert a Document . Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_FILE, VAPIMWP_FILE_SAVEAS, 0L ); Arguments Returns SendMessage() returns ..."},"87":{y:0,u:"../Content/MessageParameters/VAPIMWP_FILE_UNZIP.htm",l:-1,t:"VAPIMWP_FILE_UNZIP",i:0.00117858198603856,a:"Use this message to extract selected subfiles in a container file either to disk or to a Viewing window. Container file types include ZIP, TAR, or PST. This prompts the user to specify a target directory and password (if required).  Syntax  #include ..."},"88":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_GETCHARSET.htm",l:-1,t:"VAPIMWP_INIT_GETCHARSET",i:0.00108750916820787,a:"Gets the character set of the VAPI window. This is a parameter of the VAPIM_INIT message. Syntax  SendMessage(g_hWndFocus, VAPIM_INIT, VAPIMWP_INIT_GETCHARSET, 0) Arguments Returns This message returns a value from the KVCharSet type (see the kvcharset.h file for a description) corresponding to the ..."},"89":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_GETDESCRIP.htm",l:-1,t:"VAPIMWP_INIT_GETDESCRIP",i:0.00108750916820787,a:"Gets a description of the format  of the currently opened document. You must send this after the VAPIM_INIT_OPEN_DOCUMENT message returns. This is a parameter of the VAPIM_INIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_GETDESCRIP,\n           (LPARAM) (char*) ..."},"90":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_GETDOCCLASS.htm",l:-1,t:"VAPIMWP_INIT_GETDOCCLASS",i:0.00139563868864136,a:"Indicates the general class to which  the currently opened document belongs. This is a parameter of the VAPIM_INIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_GETDOCCLASS,\n           (LPARAM) (int*) lpnClass ); Arguments Returns SendMessage() returns TRUE if ..."},"91":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_GETDOCFORMAT.htm",l:-1,t:"VAPIMWP_INIT_GETDOCFORMAT",i:0.00936395026364329,a:"Gets document format  information. This is a parameter of the VAPIM_INIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_GETDOCFORMAT,\n           (LPARAM) (*ADDOCINFO) pDocInfo ); Arguments Returns SendMessage() returns TRUE if successful (pDocInfo is filled in ..."},"92":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_GETFILENAME.htm",l:-1,t:"VAPIMWP_INIT_GETFILENAME",i:0.00108750916820787,a:"Gets the file name  of the current document. This is a parameter of the VAPIM_INIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_GETFILENAME,\n           (LPARAM) (char*) lpstzFileName ); Arguments Returns SendMessage() returns TRUE on success; otherwise it ..."},"93":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_GETHWNDVIEWER.htm",l:-1,t:"VAPIMWP_INIT_GETHWNDVIEWER",i:0.00198481515682587,a:"Gets the handle of the Viewer window . This is a parameter of the VAPIM_INIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_GETHWNDVIEWER,\n           (LPARAM) (HWND*) lphWndViewer ); Arguments Returns SendMessage() returns TRUE if the Viewer window exists; ..."},"94":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_JUMPTOFIRSTHILIITE.htm",l:-1,t:"VAPIMWP_INIT_JUMPTOFIRSTHILIITE",i:0.00108750916820787,a:"Jumps to the first highlight. You must send this message before you send the VAPIM_INIT_OPEN_DOCUMENT message. This  applies only when you use XML documents created with the Verity Developer\u0027s Kit (VDK) to specify highlights. This is a parameter of the VAPIM_INIT message. Syntax  #include ..."},"95":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_OPEN_DOCUMENT.htm",l:-1,t:"VAPIMWP_INIT_OPEN_DOCUMENT",i:0.0200616529889639,a:"Opens a document for  one of the following operations: viewing determining a document format  without viewing printing/converting/saving without viewing This is a parameter of the VAPIM_INIT message. See  Open and View a Document . Syntax  #include ..."},"96":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_SETLICENSE.htm",l:-1,t:"VAPIMWP_INIT_SETLICENSE",i:0.00264189966299053,a:"Provides information about your license for the Viewing API. The license must be provided to enable other functionality, so OpenText recommends sending this message immediately after creating the window. Syntax SendMessage(hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_SETLICENSE,\n                (LPARAM) ..."},"97":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_SETPASSWORD.htm",l:-1,t:"VAPIMWP_INIT_SETPASSWORD",i:0.00253294287155655,a:"Sets the password to use to open a  password-protected file before the file is opened. Currently,you can use this to set a password for  ZIP and PST  files. This is a parameter of the VAPIM_INIT message. Syntax  SendMessage (hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_SETPASSWORD,\n            (LPARAM) ..."},"98":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_SETSRCCHARSET.htm",l:-1,t:"VAPIMWP_INIT_SETSRCCHARSET",i:0.00108750916820787,a:"Sets the source character set of a document .  This is a parameter of the VAPIM_INIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_SETSRCCHARSET,\n           (LPARAM) eCharset ); Arguments Returns SendMessage() returns TRUE if successful, or FALSE if it fails. ..."},"99":{y:0,u:"../Content/MessageParameters/VAPIMWP_INIT_SETTRGCHARSET.htm",l:-1,t:"VAPIMWP_INIT_SETTRGCHARSET",i:0.00108750916820787,a:"Sets the target character set of a document . This is a parameter of the VAPIM_INIT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_INIT, VAPIMWP_INIT_SETTRGCHARSET,\n           (LPARAM) eCharset ); Arguments Returns SendMessage() returns TRUE if successful, or FALSE if it fails. ..."},"100":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_CANMULTIOBJ.htm",l:-1,t:"VAPIMWP_MULTIOBJ_CANMULTIOBJ",i:0.00513364062334174,a:"Determines whether the document contains multiple objects. See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message.  Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ,\n            VAPIMWP_MULTIOBJ_CANMULTIOBJ,\n           (LPARAM) (BOOL*) ..."},"101":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_CANNEXTOBJ.htm",l:-1,t:"VAPIMWP_MULTIOBJ_CANNEXTOBJ",i:0.00108750916820787,a:"Determines whether the next object can be selected in a multiple-object document. See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ, VAPIMWP_MULTIOBJ_CANNEXTOBJ,\n           (LPARAM) ..."},"102":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_CANPREVOBJ.htm",l:-1,t:"VAPIMWP_MULTIOBJ_CANPREVOBJ",i:0.00108750916820787,a:"Determines whether the previous object can be selected in a multiple-object document. See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ, VAPIMWP_MULTIOBJ_CANPREVOBJ,\n           (LPARAM) ..."},"103":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_CANSETCURRENTOBJ.htm",l:-1,t:"VAPIMWP_MULTIOBJ_CANSETCURRENTOBJ",i:0.00108750916820787,a:"Determines whether the target object can be selected in a multiple-object document. See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ, ..."},"104":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_GETOBJCOUNT.htm",l:-1,t:"VAPIMWP_MULTIOBJ_GETOBJCOUNT",i:0.00431132637360595,a:"Get the total number of objects in a multiple-object document. See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ,            VAPIMWP_MULTIOBJ_GETOBJCOUNT,(LPARAM) (int) ..."},"105":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_NEXTOBJ.htm",l:-1,t:"VAPIMWP_MULTIOBJ_NEXTOBJ",i:0.00431132637360595,a:"Changes the current object to the next object in a multiple-object document. See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ, VAPIMWP_MULTIOBJ_NEXTOBJ, 0L ); Arguments Returns ..."},"106":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_OBJNAME.htm",l:-1,t:"VAPIMWP_MULTIOBJ_OBJNAME",i:0.00431132637360595,a:"Gets the current object name  for a multiple-object document. See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ, VAPIMWP_MULTIOBJ_OBJNAME,\n           (LPARAM) (char*) lpstzObjectName ); ..."},"107":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_PREVOBJ.htm",l:-1,t:"VAPIMWP_MULTIOBJ_PREVOBJ",i:0.00431132637360595,a:"Changes the current object to the previous object in a multiple-object document . See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ, VAPIMWP_MULTIOBJ_PREVOBJ, 0L ); Arguments Returns ..."},"108":{y:0,u:"../Content/MessageParameters/VAPIMWP_MULTIOBJ_SETCURRENTOBJ.htm",l:-1,t:"VAPIMWP_MULTIOBJ_SETCURRENTOBJ",i:0.00431132637360595,a:"Changes the current object to the target object in a multiple-object document . See  Change the Current Object in a Document . This is a parameter of the VAPIM_MULTIOBJ message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_MULTIOBJ,             VAPIMWP_MULTIOBJ_SETCURRENTOBJ, (LPARAM) ..."},"109":{y:0,u:"../Content/MessageParameters/VAPIMWP_OPTIONS_GETOPTIONS_EX.htm",l:-1,t:"VAPIMWP_OPTIONS_GETOPTIONS_EX",i:0.00412747218344958,a:"Gets the document options . Document options control display elements such as window size, zoom settings, margin size, scaling, and  revision tracking information. Options are defined for each file type category (for example, spreadsheets, multimedia, and word processing). This is a parameter of the ..."},"110":{y:0,u:"../Content/MessageParameters/VAPIMWP_OPTIONS_SETOPTIONS_EX.htm",l:-1,t:"VAPIMWP_OPTIONS_SETOPTIONS_EX ",i:0.00412747218344958,a:"Sets the current document options . Document options control display elements such as window size, zoom settings, margin size, and scaling. Options are defined for each file type category (for example, spreadsheets, multimedia, and word processing). This is a parameter of the VAPIM_OPTIONS message. ..."},"111":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_ANNOTATIONS.htm",l:-1,t:"VAPIMWP_PRINT_ANNOTATIONS",i:0.00114528345328915,a:"Specifies  whether annotations are included in the printed output. To print a document, use either the  VAPIMWP_PRINT_PRINT , or  VAPIMWP_PRINT_PRINTTOPRINTER  message. This is a parameter of the VAPIM_PRINT message. Syntax  #include ..."},"112":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_CANPRINT.htm",l:-1,t:"VAPIMWP_PRINT_CANPRINT",i:0.00259664924101689,a:"Determines whether the document can be printed.  This is a parameter of the VAPIM_PRINT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_PRINT, VAPIMWP_PRINT_CANPRINT,\n           (LPARAM) (BOOL*) lpbCanPrint );\n Arguments Returns SendMessage() returns TRUE if the call succeeds, in ..."},"113":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_PAGESETUP.htm",l:-1,t:"VAPIMWP_PRINT_PAGESETUP",i:0.00117994802433792,a:"Sets up the print page scaling for a spreadsheet. This is a parameter of the VAPIM_PRINT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_PRINT, VAPIMWP_PRINT_PAGESETUP, 0L ); Arguments Returns SendMessage() returns TRUE if the call succeeds; otherwise it returns FALSE. Discussion ..."},"114":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_PRINT.htm",l:-1,t:"VAPIMWP_PRINT_PRINT",i:0.00166669654253777,a:"Prints the current document by calling the common Print dialog box.  This is a parameter of the VAPIM_PRINT message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_PRINT, VAPIMWP_PRINT_PRINT, 0L ); Arguments Returns SendMessage() returns TRUE if the call succeeds; otherwise it returns ..."},"115":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_PRINTHEADER.htm",l:-1,t:"VAPIMWP_PRINT_PRINTHEADER",i:0.00786463266732589,a:"Specifies whether a print  header appears at the top of the printed output. The print header consists of a left-justified file name and a right-justified page number followed by the page-length on the next line. You can change the file name value by using the  VAPIMWP_PRINT_SETPRINTNAME  message. ..."},"116":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_PRINTSETUP.htm",l:-1,t:"VAPIMWP_PRINT_PRINTSETUP",i:0.00108750916820787,a:"Opens a standard Print Setup dialog box. This is a parameter of the VAPIM_PRINT message. Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_PRINT, VAPIMWP_PRINT_PRINTSETUP, 0L ); Arguments Returns SendMessage() returns TRUE if the call succeeds; otherwise it returns FALSE. Discussion Allows the ..."},"117":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_PRINTTOPD.htm",l:-1,t:"VAPIMWP_PRINT_PRINTTOPD",i:0.00117994802433792,a:"Sets the standard Windows print options for printing files.  This is a parameter of the VAPIM_PRINT message. Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_PRINT, VAPIMWP_PRINT_PRINTTOPD,\n           (LPARAM) (PRINTDLG*) lpPD ); Arguments Returns SendMessage() returns TRUE if the call ..."},"118":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_PRINTTOPRINTER.htm",l:-1,t:"VAPIMWP_PRINT_PRINTTOPRINTER",i:0.00166669654253777,a:"Prints the document to the specified printer.  This is a parameter of the VAPIM_PRINT message. Syntax #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_PRINT, VAPIMWP_PRINT_PRINTTOPRINTER,\n           (LPARAM) (LPCSTR*) lpszPrinterDriver ); Arguments Returns SendMessage() returns TRUE if the call ..."},"119":{y:0,u:"../Content/MessageParameters/VAPIMWP_PRINT_SETPRINTNAME.htm",l:-1,t:"VAPIMWP_PRINT_SETPRINTNAME",i:0.00786463266732589,a:"Used in conjunction with  VAPIMWP_PRINT_PRINTHEADER , this message replaces the default file name field of the print header with a specified string. This is a parameter of the VAPIM_PRINT message. Syntax  #include ..."},"120":{y:0,u:"../Content/MessageParameters/VAPIMWP_VIEW_CANASPECTRATIO.htm",l:-1,t:"VAPIMWP_VIEW_CANASPECTRATIO",i:0.00112052304539717,a:"Determines whether the document supports an aspect ratio . This is a parameter of the VAPIM_VIEW message. Syntax  #include \u003ckvvapi.h\u003e\nSendMessage(hWndVAPI, VAPIM_VIEW, VAPIMWP_VIEW_CANASPECTRATIO,\n           (LPARAM) (BOOL*) lpbCanAspectRatio ); Arguments Returns SendMessage() returns TRUE if the ..."},"121":{y:0,u:"../Content/MessageParameters/VAPIMWP_VIEW_CANDECREASEFONT_.htm",l:-1,t:"VAPIMWP_VIEW_CANDECREASEFONT ",i:0.00724853053104243,a:"Determines whether the document font can be decreased.  If lpbCanDecreaseFon is TRUE, the font size can be decreased by using  VAPIMWP_VIEW_DECREASEFONT  . This is a parameter of the VAPIM_VIEW message. Syntax  #include ..."},});